import { IconCacheService } from '../../icon/icon-cache.service';
import { CoreComponentsIcon } from '../../../core/enum/core-components-icon.enum';
import { AppPopupType } from '../../../model/enum/app-popup-type.enum';
import { DialogBaseComponent } from '../../base/dialog-base.component';
export declare class ConfirmationDialogComponent extends DialogBaseComponent {
    iconCacheService: IconCacheService;
    readonly icons: typeof CoreComponentsIcon;
    readonly ptype: typeof AppPopupType;
    title: string;
    text: string;
    details: string;
    type: AppPopupType;
    showRememberCheckbox: boolean;
    showClass(): boolean;
    rememberChoice: boolean;
    constructor(iconCacheService: IconCacheService);
    handleYesClick(event: MouseEvent): void;
    handleNoClick(event: MouseEvent): void;
    handleOkClick(event: MouseEvent): void;
}
